## gprolog 1.2.9

=== doc/Makefile ===
PREFIX=manual

DVIROOT=$(PREFIX)-dvi
DVINAME=$(PREFIX).dvi

PDFROOT=$(PREFIX)-pdf
PDFNAME=$(PREFIX).pdf

PSNAME=$(PREFIX).ps

HTMLNAME=$(PREFIX).html

CHMNAME=$(PREFIX).chm

TEX_SRC=packages.tex macros.tex body.tex \
        cover.tex acknow.tex intro.tex use.tex debugger.tex \
        format-defs.tex direct-cc.tex pl-bips.tex fd-cstr.tex \
        c-interface.tex references.tex tbl-contents.tex the-index.tex \
        version_no.tex

VERBOSE=0


.SUFFIXES:
.SUFFIXES: .eps .tex .aux .toc .idx .dvi .ps .hva .html .pdf $(SUFFIXES)

.eps.pdf:
	ps2pdf $< $@


help:
	@echo
	@echo '*** Please read the README file ***'
	@echo
	@echo 'make all       make DVI, PDF, PostScript, HTML and CHM versions'
	@echo 'make dvi       make DVI version        (needs LaTeX2e)'
	@echo 'make pdf       make PDF version        (needs pdflatex)'
	@echo 'make ps        make PostScript version (needs dvips)'
	@echo 'make html      make HTML version       (needs HeVeA)'
	@echo 'make chm       make HTMLHelp version   (needs hhc - Win32 only)'
	@echo
	@echo 'make clean     remove all temporary files'
	@echo 'make distclean same as clean'
	@echo 'make clean-all remove all versions'
	@echo
	@echo 'make help      this help'
	@echo


all: dvi pdf ps html chm



dvi: fp-dvi $(DVINAME)

fp-dvi:
	@./check_fp dvi $(DVIROOT) $(DVINAME) $(VERBOSE)

$(DVINAME): $(TEX_SRC) compil-scheme.eps debug-box.eps
	latex $(DVIROOT).tex
	makeindex $(DVIROOT).idx
	mv $(DVIROOT).dvi $(DVINAME)
	$(MAKE) dvi



pdf: fp-pdf $(PDFNAME)

fp-pdf:
	@./check_fp pdf $(PDFROOT) $(PDFNAME) $(VERBOSE)

$(PDFNAME): $(TEX_SRC) compil-scheme.pdf debug-box.pdf
	pdflatex $(PDFROOT).tex
	makeindex $(PDFROOT).idx
	mv $(PDFROOT).pdf $(PDFNAME)
	$(MAKE) pdf



ps: dvi $(PSNAME)

$(PSNAME): $(DVINAME)
	dvips -o $(PSNAME) -D 300 $(DVINAME)



html: Html/index.html

$(HTMLNAME): custom.hva $(TEX_SRC)
	hevea -O -nosymb -s -exec xxdate.exe -fix custom.hva $(DVIROOT).tex -o $(HTMLNAME)

Html/index.html: $(HTMLNAME)
	rm -f Html/index.html Html/$(PREFIX)*.html
	(cd Html && hacha -hrf -tocbis ../$(HTMLNAME) && hh_do_hhc_hhk $(PREFIX))

chm: $(CHMNAME)

$(CHMNAME): $(HTMLNAME) Html/index.html
	-(cd Html; hhc hh-$(PREFIX).hhp; mv -f $(CHMNAME) .. 2>/dev/null)

clean:
	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).idx $(PREFIX).*.fp
	rm -rf $(PREFIX)*.htoc $(PREFIX)*.haux $(PREFIX)*.hind $(PREFIX)*.hrf


distclean: clean


clean-all: distclean
	rm -f $(DVINAME) $(PDFNAME) $(PSNAME) $(CHMNAME)
	rm -f $(HTMLNAME) Html/$(PREFIX)*.html Html/index.html

clean-aux:
	rm -rf *.aux *.toc *.ind *.idx *.log *.haux *.htoc *.hidx *.hind *.out *.ilg *.hrf

clean-full: clean-all clean-aux

clean-test:
	rm -f ?.dvi ?.pdf ?.html ?.ps ?.info ?.txt
	rm -f ?.aux ?.toc ?.idx ?.ind ?.log
	rm -f ?.haux ?.htoc ?.hidx ?.hind ?.out ?.ilg ?.hrf


# distributions (DVI and HTML)

DVIDIRNAME=manual-dvi
HTMLDIRNAME=manual-html

dist-dvi: dvi $(DVIDIRNAME).tar.gz

$(DVIDIRNAME).tar.gz: $(DVINAME)
	ln -sf . $(DVIDIRNAME)
	tar cvf $(DVIDIRNAME).tar $(DVIDIRNAME)/$(DVINAME) $(DVIDIRNAME)/??*.eps
	gzip -f $(DVIDIRNAME).tar
	rm -f $(DVIDIRNAME)
	@echo DVI distribution is in $(DVIDIRNAME).tar.gz


dist-html: $(HTMLDIRNAME).tar.gz

$(HTMLDIRNAME).tar.gz: Html/index.html
	ln -sf Html $(HTMLDIRNAME)
	tar cvf $(HTMLDIRNAME).tar $(HTMLDIRNAME)/index.html $(HTMLDIRNAME)/$(PREFIX)*.html $(HTMLDIRNAME)/???*.gif
	gzip -f $(HTMLDIRNAME).tar
	rm -f $(HTMLDIRNAME)
	@echo HTML distribution is in $(HTMLDIRNAME).tar.gz


NAMES_FILE=/tmp/doc_names

names:
	@echo '# file generated by doc/Makefile'   >$(NAMES_FILE)
	@echo "PREFIX=$(PREFIX)"                  >>$(NAMES_FILE)
	@echo "DVINAME=$(DVINAME)"                >>$(NAMES_FILE)
	@echo "PDFNAME=$(PDFNAME)"                >>$(NAMES_FILE)
	@echo "PSNAME=$(PSNAME)"                  >>$(NAMES_FILE)
	@echo "HTMLNAME=$(HTMLNAME)"              >>$(NAMES_FILE)
	@echo "DVIDIRRNAME=$(DVIDIRNAME)"         >>$(NAMES_FILE)
	@echo "DVITARNAME=$(DVIDIRNAME).tar.gz"   >>$(NAMES_FILE)
	@echo "HTMLDIRNAME=$(HTMLDIRNAME)"        >>$(NAMES_FILE)
	@echo "HTMLTARNAME=$(HTMLDIRNAME).tar.gz" >>$(NAMES_FILE)

for-release: all dist-dvi dist-html names

=== src/src/RPM/Makefile ===
NAME=$(shell cut -d - -f 1 ../VERSION)
PKG_NAME=$(shell cat ../VERSION)
SPEC=$(NAME).spec
SPEC_LINK=$(NAME)-link.spec

TARGET=$(shell ../config.guess)
RPM_FLAGS=--target=$(TARGET)

rpm: ../$(PKG_NAME).tar.gz $(SPEC)
	rpm -bb $(RPM_FLAGS) $(SPEC)

$(SPEC): initial.spec ../VERSION
	./build_spec_file

rpm-link: $(SPEC_LINK)
	rpm -bb $(RPM_FLAGS) $(SPEC_LINK)

$(SPEC_LINK): initial.spec ../VERSION
	./build_spec_file link


srpm: ../$(PKG_NAME).tar.gz $(SPEC)
	rpm -bs $(SPEC)


../$(PKG_NAME).tar.gz:
	(cd ..; make dist)
	rm $(SPEC)


clean:
	rm $(PKG_NAME)*.spec



rpm_env:
	rpm $(RPM_FLAGS) -bp rpm_env.spec >/dev/null 2>&1


NAMES_FILE=/tmp/rpm_names

names: rpm_env
	@echo '# file generated by src/RPM/Makefile' >$(NAMES_FILE)
	@(source /tmp/rpm_env; \
	echo RPM=$$RPM_RPMS_DIR/$$ARCH/$(PKG_NAME)-1.$$ARCH.rpm >>$(NAMES_FILE); \
	echo SRPM=$$RPM_SRPMS_DIR/$(PKG_NAME)-1.src.rpm >>$(NAMES_FILE))

## gprolog 1.2.18

=== doc/Makefile ===
--- 
+++ 
@@ -1,32 +1,23 @@
 PREFIX=manual
-
-DVIROOT=$(PREFIX)-dvi
+MAIN=$(PREFIX).tex
 DVINAME=$(PREFIX).dvi
-
-PDFROOT=$(PREFIX)-pdf
 PDFNAME=$(PREFIX).pdf
-
 PSNAME=$(PREFIX).ps
-
 HTMLNAME=$(PREFIX).html
-
 CHMNAME=$(PREFIX).chm
 
-TEX_SRC=packages.tex macros.tex body.tex \
+TEX_SRC=$(MAIN) packages.tex macros.tex body.tex \
         cover.tex acknow.tex intro.tex use.tex debugger.tex \
         format-defs.tex direct-cc.tex pl-bips.tex fd-cstr.tex \
         c-interface.tex references.tex tbl-contents.tex the-index.tex \
         version_no.tex
 
-VERBOSE=0
+TRACE=
+#TRACE=-trace
 
 
 .SUFFIXES:
-.SUFFIXES: .eps .tex .aux .toc .idx .dvi .ps .hva .html .pdf $(SUFFIXES)
-
-.eps.pdf:
-	ps2pdf $< $@
-
+.SUFFIXES: .html .hva .pdf .eps .ps .dvi .aux .toc .idx .tex $(SUFFIXES)
 
 help:
 	@echo
@@ -42,42 +33,36 @@
 	@echo 'make clean     remove all temporary files'
 	@echo 'make distclean same as clean'
 	@echo 'make clean-all remove all versions'
+	@echo 'make clean-full remove all versions'
 	@echo
 	@echo 'make help      this help'
 	@echo
+
+
+.eps.pdf:
+	epstopdf $<
+#	ps2pdf $< $@
+
 
 
 all: dvi pdf ps html chm
 
 
 
-dvi: fp-dvi $(DVINAME)
-
-fp-dvi:
-	@./check_fp dvi $(DVIROOT) $(DVINAME) $(VERBOSE)
+dvi: $(DVINAME)
 
 $(DVINAME): $(TEX_SRC) compil-scheme.eps debug-box.eps
-	latex $(DVIROOT).tex
-	makeindex $(DVIROOT).idx
-	mv $(DVIROOT).dvi $(DVINAME)
-	$(MAKE) dvi
+	do_latex -dvi $(TRACE) $(MAIN)
 
 
 
-pdf: fp-pdf $(PDFNAME)
-
-fp-pdf:
-	@./check_fp pdf $(PDFROOT) $(PDFNAME) $(VERBOSE)
+pdf: $(PDFNAME)
 
 $(PDFNAME): $(TEX_SRC) compil-scheme.pdf debug-box.pdf
-	pdflatex $(PDFROOT).tex
-	makeindex $(PDFROOT).idx
-	mv $(PDFROOT).pdf $(PDFNAME)
-	$(MAKE) pdf
+	do_latex -pdf $(TRACE) $(MAIN)
 
 
-
-ps: dvi $(PSNAME)
+ps: $(PSNAME)
 
 $(PSNAME): $(DVINAME)
 	dvips -o $(PSNAME) -D 300 $(DVINAME)
@@ -87,11 +72,11 @@
 html: Html/index.html
 
 $(HTMLNAME): custom.hva $(TEX_SRC)
-	hevea -O -nosymb -s -exec xxdate.exe -fix custom.hva $(DVIROOT).tex -o $(HTMLNAME)
+	hevea -O -nosymb -s -exec xxdate.exe -fix custom.hva $(MAIN) -o $(HTMLNAME)
 
 Html/index.html: $(HTMLNAME)
 	rm -f Html/index.html Html/$(PREFIX)*.html
-	(cd Html && hacha -hrf -tocbis ../$(HTMLNAME) && hh_do_hhc_hhk $(PREFIX))
+	(cd Html && hacha -hrf -tocbis ../$(HTMLNAME) && ./hh_do_hhc_hhk $(PREFIX))
 
 chm: $(CHMNAME)
 
@@ -99,7 +84,9 @@
 	-(cd Html; hhc hh-$(PREFIX).hhp; mv -f $(CHMNAME) .. 2>/dev/null)
 
 clean:
-	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).idx $(PREFIX).*.fp
+	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).ind $(PREFIX).idx
+	rm -f $(PREFIX).pdf.aux $(PREFIX).pdf.toc $(PREFIX).pdf.ind $(PREFIX).pdf.idx
+	rm -f $(PREFIX).dvi.aux $(PREFIX).dvi.toc $(PREFIX).dvi.ind $(PREFIX).dvi.idx
 	rm -rf $(PREFIX)*.htoc $(PREFIX)*.haux $(PREFIX)*.hind $(PREFIX)*.hrf
 
 
@@ -130,7 +117,7 @@
 
 $(DVIDIRNAME).tar.gz: $(DVINAME)
 	ln -sf . $(DVIDIRNAME)
-	tar cvf $(DVIDIRNAME).tar $(DVIDIRNAME)/$(DVINAME) $(DVIDIRNAME)/??*.eps
+	tar cf $(DVIDIRNAME).tar $(DVIDIRNAME)/$(DVINAME) $(DVIDIRNAME)/??*.eps
 	gzip -f $(DVIDIRNAME).tar
 	rm -f $(DVIDIRNAME)
 	@echo DVI distribution is in $(DVIDIRNAME).tar.gz
@@ -140,7 +127,7 @@
 
 $(HTMLDIRNAME).tar.gz: Html/index.html
 	ln -sf Html $(HTMLDIRNAME)
-	tar cvf $(HTMLDIRNAME).tar $(HTMLDIRNAME)/index.html $(HTMLDIRNAME)/$(PREFIX)*.html $(HTMLDIRNAME)/???*.gif
+	tar cf $(HTMLDIRNAME).tar $(HTMLDIRNAME)/index.html $(HTMLDIRNAME)/$(PREFIX)*.html $(HTMLDIRNAME)/???*.gif
 	gzip -f $(HTMLDIRNAME).tar
 	rm -f $(HTMLDIRNAME)
 	@echo HTML distribution is in $(HTMLDIRNAME).tar.gz

=== contribs/gplmysql/Makefile ===
# $Header: /cvsroot/gprolog/contribs/gplmysql/Makefile,v 1.3 2002/01/29 05:26:03 oommoo Exp $

CC        = gcc
CFLAGS    = -g -Wall
CINCLUDES = -I/usr/include/mysql
CLIBS     = -L/usr/lib/mysql -lmysqlclient -lz
#DFLAGS    = -DADWDEBUG
DFLAGS    =
GP        = gplc
GPFLAGS   =

SOURCE    = first-prog.pl   \
            second-prog.pl  \
            mysql-cg.pl     \
            mysqlwrap.pl  

NATIVES = ${SOURCE:.pl=.c}

TARGETS = ${SOURCE:.pl=}

all: $(TARGETS)
	@echo Make all done.

first-prog: first-utils.c first-prog.pl
	$(GP) $(GPFLAGS) first-prog.pl first-utils.c

second-prog: second-utils.c second-prog.pl
	$(GP) $(GPFLAGS) second-prog.pl second-utils.c

mysql-cg: mysql-cg.c mysql-cg.pl
	$(GP) $(GPFLAGS) mysql-cg.pl mysql-cg.c -C '$(CFLAGS) $(CINCLUDES) $(DFLAGS)' -L '$(CLIBS)'

mysql-cg.o: mysql-cg.c 
#	$(CC) -c $(CFLAGS) $(DFLAGS) $(CINCLUDES) $(CLIBS)  mysql-cg.c
	$(GP) -c -C '$(CFLAGS) $(DFLAGS) $(CINCLUDES)' -L '$(CLIBS)'  mysql-cg.c

mysqlwrap: mysqlwrap.pl mysqlwrap.c mysqlwrap.h
	$(GP) $(GPFLAGS) mysqlwrap.pl mysqlwrap.c -L '$(CLIBS)'

mysqlwrap.o: mysqlwrap.c mysqlwrap.h
#	$(CC) -c $(CFLAGS) $(CINCLUDES) $(CLIBS)  mysqlwrap.c
	$(GP) -c -C '$(CFLAGS) $(CINCLUDES)' -L '$(CLIBS)'  mysqlwrap.c

doxy: Doxyfile 
	doxygen

clean:
	rm -f *.o *~ first-prog second-prog mysql-cg mysqlwrap
	rm -f ./tmp/*


# 
# $Log: Makefile,v $
# Revision 1.3  2002/01/29 05:26:03  oommoo
# Interesting suggestion from Renaud Mariana, using gplc to give suggestions for possible code improvement.  Also added a doxy target and some more details in macros for lists of prolog SOURCE files and c NATIVES.
#
# Revision 1.2  2002/01/18 11:24:27  diaz
# fix little bug + makefile
#
# Revision 1.1  2002/01/09 04:23:48  oommoo
# add gplsql example for relational database access using embedded c; (also includes two examples from the documentation).
# 
#

=== contribs/gplpcsc/Makefile ===
MUSCLE_HDRS = -I/usr/local/include
MUSCLE_LIBS = -L/usr/local/lib -lpcsclite -lcrypto -lpthread

CFLAGS='-Wall -g $(MUSCLE_HDRS)'
LFLAGS='$(MUSCLE_LIBS)'

EXECS = testapdu

all: $(EXECS)


pcsc/muscle_c.o: pcsc/muscle_c.c
	gplc -c -C $(CFLAGS)  pcsc/muscle_c.c


testapdu: testapdu.pl pcsc/muscle_c.o
	gplc -o testapdu pcsc/muscle_c.o  -L $(LFLAGS)  testapdu.pl util_pcsc/util.pl

clean:
	rm -f $(EXECS) ; find . -name '*~' | xargs rm -f

cleanlib:
	find . -name *.o | xargs rm -f
 
fresh: clean $(EXECS)

=== src/src/Win32/Makefile ===
NAME=$(shell cut -d - -f 1 ../VERSION)
VERSION=$(shell cut -d - -f 2 ../VERSION)
PKG_NAME=$(shell cat ../VERSION)

# this name is used in gp-setup.iss
TMPDIR=/tmp/gprolog_win32
WINTMPDIR=$(shell cygpath -a -w $(TMPDIR))

ISCC="/cygdrive/c/Program Files/Inno Setup 2/ISCC.exe"
#ISCC="/cygdrive/c/Program Files/Inno Setup 2/compil32.exe" /cc

create_bat.exe: create_bat.c
	cl /O2 /GX create_bat.c

compile: ../$(PKG_NAME).tar.gz
	cp ../$(PKG_NAME).tar.gz /tmp
	(cd /tmp; tar xfz $(PKG_NAME).tar.gz)
	compile_install /tmp/$(PKG_NAME)/src $(TMPDIR)


compile-link:
	compile_install .. $(TMPDIR)


setup: compile create-setup


setup-link: compile-link create-setup


create-setup: create_bat.exe gp-setup.iss
	cp create_bat.exe $(TMPDIR)/bin
	$(ISCC) gp-setup.iss

gp-setup.iss: initial.iss ../VERSION
	sed -e 's!@VERSION@!$(VERSION)!g' initial.iss | ./addcrlf >gp-setup.iss


../$(PKG_NAME).tar.gz:
	(cd ..; make dist)

clean:

## gprolog 1.3.0

=== doc/Makefile ===
PREFIX=gprolog
MAIN=$(PREFIX).tex
DVINAME=$(PREFIX).dvi
PSNAME=$(PREFIX).ps
PDFNAME=$(PREFIX).pdf
HTMLNAME=$(PREFIX).html
CHMNAME=$(PREFIX).chm

FIG=$(shell echo *.fig)
EPS=$(FIG:.fig=.eps)
GIF=$(FIG:.fig=.gif)

TEX_SRC=$(MAIN) packages.tex macros.tex body.tex copyright.tex \
        cover.tex acknow.tex intro.tex use.tex debugger.tex \
        format-defs.tex direct-cc.tex pl-bips.tex fd-cstr.tex \
        c-interface.tex references.tex tbl-contents.tex the-index.tex \
        version_no.tex

TRACE=
#TRACE=-trace


.SUFFIXES:
.SUFFIXES: .html .hva .pdf .eps .ps .dvi .aux .toc .idx .tex $(SUFFIXES)

help:
	@echo
	@echo '*** Please read the README file ***'
	@echo
	@echo 'make all        make DVI, PDF, PostScript, HTML and CHM versions'
	@echo 'make dvi        make DVI version        (needs LaTeX2e)'
	@echo 'make pdf        make PDF version        (needs pdflatex)'
	@echo 'make ps         make PostScript version (needs dvips)'
	@echo 'make html       make HTML versions      (needs HeVeA)'
	@echo 'make chm        make HTMLHelp version   (needs hhc - Win32 only)'
	@echo
	@echo 'make clean      remove all temporary files'
	@echo 'make distclean  remove all versions and auxiliary files'
	@echo 'make clean-all  remove all versions'
	@echo
	@echo 'make help       this help'
	@echo


.eps.pdf:
	epstopdf $<
#	ps2pdf $< $@



all: dvi pdf ps html chm



dvi: $(DVINAME)

$(DVINAME): $(TEX_SRC) compil-scheme.eps debug-box.eps
	do_latex -dvi $(TRACE) $(MAIN)



pdf: $(PDFNAME)

$(PDFNAME): $(TEX_SRC) compil-scheme.pdf debug-box.pdf
	do_latex -pdf $(TRACE) $(MAIN)


ps: $(PSNAME)

$(PSNAME): $(DVINAME)
	dvips -o $(PSNAME) -D 300 $(DVINAME)



html: $(HTMLNAME) html_node/index.html

$(HTMLNAME): custom.hva $(TEX_SRC)
	hevea -O -s -exec xxdate.exe -fix custom.hva $(MAIN) -o $(HTMLNAME)

html_node/index.html: $(HTMLNAME)
	rm -f html_node/index.html html_node/$(PREFIX)*.html
	(cd html_node && hacha -hrf -tocbis ../$(HTMLNAME) && ./hh_do_hhc_hhk $(PREFIX))

chm: $(CHMNAME)

$(CHMNAME): $(HTMLNAME) html_node/hh-$(PREFIX).hhp html_node/index.html
	-(cd html_node; hhc hh-$(PREFIX).hhp; mv -f $(CHMNAME) ..) 2>/dev/null || exit 0

clean:
	rm -f $(PREFIX).aux $(PREFIX).toc $(PREFIX).ind $(PREFIX).idx $(PREFIX).log  $(PREFIX).out $(PREFIX).ilg
	rm -f $(PREFIX).pdf.aux $(PREFIX).pdf.toc $(PREFIX).pdf.ind $(PREFIX).pdf.idx
	rm -f $(PREFIX).dvi.aux $(PREFIX).dvi.toc $(PREFIX).dvi.ind $(PREFIX).dvi.idx
	rm -rf $(PREFIX)*.htoc $(PREFIX)*.haux $(PREFIX)*.hind $(PREFIX)*.hrf


distclean: clean-full


clean-all: distclean
	rm -f $(DVINAME) $(PDFNAME) $(PSNAME) $(CHMNAME)
	rm -f $(HTMLNAME) html_node/$(PREFIX)*.html html_node/index.html
	(cd html_node ; rm -f *.hhc *.hhk *.css *.hrf *.gif *.html)

clean-aux:
	rm -f *.aux *.toc *.ind *.idx *.log *.haux *.htoc *.hidx *.hind *.out *.ilg *.hrf

clean-full: clean-all clean-aux

clean-test:
	rm -f ?.dvi ?.pdf ?.html ?.ps ?.info ?.txt
	rm -f ?.aux ?.toc ?.idx ?.ind ?.log
	rm -f ?.haux ?.htoc ?.hidx ?.hind ?.out ?.ilg ?.hrf


# create compressed formats for DVI and HTML in 1 page and HTML 1 page / node

COPY_PATH=/tmp
DVITGZNAME=$(DVINAME).tar.gz
HTMLTGZNAME=$(HTMLNAME).tar.gz
HTMLNODETGZNAME=$(PREFIX).html_node.tar.gz

copy: $(DVINAME) $(PSNAME) $(PDFNAME) $(HTMLNAME) $(CHMNAME) names
	cp $(DVINAME) $(EPS) $(PSNAME) $(PDFNAME) $(HTMLNAME) $(GIF) $(CHMNAME) $(COPY_PATH)/.
	tar cf - $(DVINAME) $(EPS) | gzip > $(COPY_PATH)/$(DVITGZNAME)
	tar cf - $(HTMLNAME) $(GIF) | gzip > $(COPY_PATH)/$(HTMLTGZNAME)
	( cd html_node ; tar cf - index.html $(PREFIX)*.html $(PREFIX)*.css *.gif | gzip > $(COPY_PATH)/$(HTMLNODETGZNAME) )

NAMES_FILE=$(COPY_PATH)/doc_names

names:
	@echo '# file generated by doc/Makefile'    >$(NAMES_FILE)
	@echo "PREFIX=$(PREFIX)"                   >>$(NAMES_FILE)
	@echo "DVINAME=$(DVINAME)"                 >>$(NAMES_FILE)
	@echo "PDFNAME=$(PDFNAME)"                 >>$(NAMES_FILE)
	@echo "PSNAME=$(PSNAME)"                   >>$(NAMES_FILE)
	@echo "HTMLNAME=$(HTMLNAME)"               >>$(NAMES_FILE)
	@echo "CHMNAME=$(CHMNAME)"                 >>$(NAMES_FILE)
	@echo "GIF='$(GIF)'"                       >>$(NAMES_FILE)
	@echo "EPS='$(EPS)'"                       >>$(NAMES_FILE)
	@echo "DVITGZNAME=$(DVITGZNAME)"           >>$(NAMES_FILE)
	@echo "HTMLTGZNAME=$(HTMLTGZNAME)"         >>$(NAMES_FILE)
	@echo "HTMLNODETGZNAME=$(HTMLNODETGZNAME)" >>$(NAMES_FILE)

for-release: all dist-dvi dist-html names

=== src/RPM/Makefile ===
NAME=$(shell cut -d - -f 1 ../VERSION)
PKG_NAME=$(shell cat ../VERSION)
SPEC=$(NAME).spec
SPEC_LINK=$(NAME)-link.spec
RPMBUILD=rpmbuild

TARGET=$(shell ../config.guess)
RPM_FLAGS --target=$(TARGET)

rpm: ../$(PKG_NAME).tar.gz $(SPEC)
	$(RPMBUILD) -bb $(RPM_FLAGS) $(SPEC)

$(SPEC): initial.spec ../VERSION
	./build_spec_file

rpm-link: $(SPEC_LINK)
	$(RPMBUILD) -bb $(RPM_FLAGS) $(SPEC_LINK)

$(SPEC_LINK): initial.spec ../VERSION
	./build_spec_file link


srpm: ../$(PKG_NAME).tar.gz $(SPEC)
	$(RPMBUILD) -bs $(SPEC)


../$(PKG_NAME).tar.gz:
	(cd ..; make dist)
	rm $(SPEC)


clean:
	-rm $(NAME)*.spec



rpm_env:
	$(RPMBUILD) $(RPM_FLAGS) -bp rpm_env.spec >/dev/null 2>&1


NAMES_FILE=/tmp/rpm_names

names: rpm_env
	@echo '# file generated by src/RPM/Makefile' >$(NAMES_FILE)
	@(source /tmp/rpm_env; \
	echo RPM=$$RPM_RPMS_DIR/$$ARCH/$(PKG_NAME)-1.$$ARCH.rpm >>$(NAMES_FILE); \
	echo SRPM=$$RPM_SRPMS_DIR/$(PKG_NAME)-1.src.rpm >>$(NAMES_FILE))

=== src/Ma2Asm/FromC/Makefile ===
GPLC   = gplc
CC     = gcc
CFLAGS = -g -Wall

# other local variables

#CFLAGS    = -O3
#CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer
CFLAGS = -O3 -fverbose-asm -fomit-frame-pointer -fno-defer-pop

#CFLAGS= /Ox /Oy

opt: 
	 $(CC) -S $(CFLAGS) asm_inst.c


no:
	 $(CC) -S asm_inst.c

clean:
	-rm *.s

=== debian/changelog ===
gprolog (1.3.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with PIE enabled (Closes: #837487).
  * Drop the menu file.
  * Add powerpcspe to the arch list (Closes: #731674).
  * Fix texlive B-D and move them to B-D-Indep (Closes: #462668).
  * Enable compiling with -g.
  * Use ${misc:Depends}.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Dec 2016 00:22:48 +0500

gprolog (1.3.0-6.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (Number 10): Add patch to fix latex error. Patch thanks to Ilya
      Barygin <barygin@gmail.com>
      https://launchpad.net/ubuntu/+source/gprolog/1.3.0-6ubuntu1
      (RC bug FTBFS serious; Closes: #562394).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 00:53:43 +0200

gprolog (1.3.0-6) unstable; urgency=low

  * revert to regular gcc: 4.2 (closes: #463289)
  * debian/rules: get rid of bashisms (closes: #478390)
  * src/EnginePl/machine.c: don't include <asm/sigcontext.h>; thanks to
    Sebastian Bober <sbober@servercare.de> (closes: #456842, #442980)

 -- Salvador Abreu <spa@debian.org>  Thu, 08 May 2008 15:54:02 +0100

gprolog (1.3.0-5) unstable; urgency=low

  * src/configure.in: recognize sparc-linux!
  * debian/changelog: back to plain ASCII...

 -- Salvador Abreu <spa@debian.org>  Sat, 08 Dec 2007 20:11:48 +0000

gprolog (1.3.0-4) unstable; urgency=low

  * Work on mips/mipsel again (closes: #448952); patch courtesy of Thiemo
    Seufer <ths@networkno.de>
  * Convert changelog, etc. to UTF-8 (closes: #453994, #454012)
  * EnginePL/wam_inst.h: correctly type destructor callback for use by C++
    programs (closes: #452958)
  * Revert to the default GCC (4.1) because 4.2 doesn't seem to be
    up-to-date on several architectures...  eventually this will allow
    gprolog to migrate to testing.
  * Re-close erroneously reopened bugs (closes: #397294, #412671)
  * Remove silly menu entry for gprolog top-level shell
  * Don't compress PDF manual
  * Make lintian (a little bit) happier ;-)

 -- Salvador Abreu <spa@debian.org>  Thu, 06 Dec 2007 10:30:41 +0000

gprolog (1.3.0-3) unstable; urgency=low

  * Even more dependencies on texlive packages: now include texlive-full
    in the hope it will be enough (closes: #421247).
  * use gcc-4.2

 -- Salvador Abreu <spa@debian.org>  Sun, 20 May 2007 23:35:14 +0100

gprolog (1.3.0-2) unstable; urgency=low

  * Depend on texlive-latex-recommended: needed to build docs.

 -- Salvador Abreu <spa@debian.org>  Thu, 26 Apr 2007 12:03:38 +0100

gprolog (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove Homepage: headers from debian/control (closes: #412671)
  * Include dvi & ps doc generation patch by Frank Kuester
    <frank@debian.org> (closes: #397294)
  * Depend on some texlive packages, such as texlive-extra-utils, instead
    of the old tetex ones (closes: #420335)
  * Reset compilation flags to be less pessimistic (back to using -O3)
  * Adapt to shallower directory scheme (not based on sourceforge.net
    version anymore)

 -- Salvador Abreu <spa@debian.org>  Wed, 25 Apr 2007 00:32:13 +0100

gprolog (1.2.18-17) unstable; urgency=low

  * Fix non-ascii character in doc/use.tex; this only seems to be a
    problem with more recent versions of hevea.  (closes: #397135)
  * Fix unaligned access on amd64.  This is done in a way which I'd rather
    not have to confess: I had GCC produce assembly code, which is then
    patched via a sed script before being fed to as.  Thanks to
    ramune@net-ronin.org for pointing out the location of the problem.
    (closes: #356406)
  * Fixed a few things in order to be able to use more recent versions of
    gcc, most notably casts in lvalues.  As of now, gcc 4.1 can be used to
    compile gprolog!
  * Doesn't leave anything in /etc/alternatives nor /usr/bin after being
    purged.  (closes: #358256)

 -- Salvador Abreu <spa@debian.org>  Mon,  6 Nov 2006 10:40:23 +0000

gprolog (1.2.18-16) unstable; urgency=low

  * touch all *.wam files to ensure buildds don't get mixed up about .pl
    and .wam having similar modification times.  Was having trouble with
    just about all of them.

 -- Salvador Abreu <spa@debian.org>  Tue,  1 Nov 2005 08:15:20 +0000

gprolog (1.2.18-15) unstable; urgency=low

  * include mips and mipsel in Architecture: in debian/control, as the
    built-in support for MIPS has been extended for Linux, courtesy of
    Thiemo Seufer <ths@networkno.de> (closes: #272829).

 -- Salvador Abreu <spa@debian.org>  Mon, 31 Oct 2005 10:15:57 +0000

gprolog (1.2.18-14) unstable; urgency=low

  * enforce gcc version 3.3, as it's the "last known good" version for
    gprolog (closes: #323528).

 -- Salvador Abreu <spa@debian.org>  Wed, 17 Aug 2005 09:31:14 +0100

gprolog (1.2.18-13) unstable; urgency=low

  * don't use "-nosymb" to deal with recent versions of hevea: 1.07 and
    later (closes: #321977)
  * acknowledge NMUs by Steve Langasek (closes: #271399)

 -- Salvador Abreu <spa@debian.org>  Mon, 15 Aug 2005 12:51:59 +0100

gprolog (1.2.18-12) unstable; urgency=low

  * The "attempt to be free from x86" release... ;-)
  * Acknowledge NMUs (1.2.18-11.1 and -11.2).
  * debian/rules: removed bashisms (closes: #265032).  Thanks Roland
    Stigge <stigge@antcom.de>
  * debian/menu: use gprolog-iso instead of gprolog (alternative) to
    satisfy lintian.
  * src/src/Ma2Asm/powerpc_any.c: fix duplicate patch (same problem as
    fixed in 1.2.18-10 for amd64)
  * src/src/Ma2Asm/ma2asm_inst.c: try to ignore OS for mips architecture.
  * Hopefully this version might finally make it into testing, now that
    it's no longer considered x86-only (it was being held because the
    buildds weren't taking it and yet there were old alpha and sparc
    versions lying around), so I'm closing the can't-build for sarge,
    which applied to a very old version (closes: #268671).



=== debian/control ===
Source: gprolog
Section: devel
Priority: optional
Maintainer: Salvador Abreu <spa@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5), autoconf (>= 2.52), gcc (>> 4.2), autotools-dev
Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
 texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)

Package: gprolog
Architecture: i386 amd64 sparc mips mipsel alpha powerpc powerpcspe
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gprolog-doc
Conflicts: 
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over finite
 domains (FD) developed at INRIA by Daniel Diaz.  GNU Prolog is based on two
 systems developed by the same author (with lot of code rewriting and a lot of
 new extensions): wamcc and clp(FD).  Much work has been devoted to make it
 ISO compatible, full compliance being one of its goals.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog.

Package: gprolog-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: gprolog (<< 1.2.7)
Recommends: xpdf | pdf-viewer, w3m | www-browser
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD) developed at INRIA by Daniel Diaz.
 .
 This package contains the documentation (both PDF and HTML) for GNU
 Prolog.

=== debian/rules ===
#! /usr/bin/make -f
# $Id: rules,v 1.9 2003/03/22 10:12:21 spa Exp $
# =============================================================================
# debian/rules for the GNU Prolog packages:
#   architecture-dependant package (gprolog-doc),
#   architecture-independent package (gprolog).
#
# Written by Salvador Abreu <spa@debian.org> based on the template in
# /usr/share/doc/debhelper/examples/rules.multi, with the following header:
# =============================================================================
#
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

SHELL=/bin/sh

# may be iso, cx...
variant=iso

LIBDIR=/usr/lib/gprolog-$(variant)
ifeq ($(variant),iso)
	PACKAGE = gprolog
	DOCDIR = /usr/share/doc/gprolog-doc
else
	PACKAGE = gprolog-$(variant)
	DOCDIR = /usr/share/doc/gprolog-$(variant)-doc
endif

version=$(shell pwd | sed -e 's;.*/;;' -e 's;gprolog-;;')

SRCDIR=src
DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie
BCFLAGS=-funsigned-char
export LDFLAGS=-no-pie

# =============================================================================

CPPFLAGS = \
	-DDEBIAN

CONFOPTIONS =								\
	--prefix=/usr							\
	--bindir=$(LIBDIR)/bin						\
	--libdir=$(LIBDIR)						\
	--includedir=$(LIBDIR)/include					\
	--with-doc-dir=$(DOCDIR)					\
	--with-html-dir=$(DOCDIR)/gprolog.html				\
	--with-examples-dir=$(DOCDIR)/examples				\
	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)"	\
	--without-links							\
	--without-ebp							\
	--disable-regs							\
	--enable-watermark

INSTALLDIRS =								\
	INSTALL_DIR=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
	INSTALL_BIN=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)/bin		\
	INSTALL_LIB=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
	INSTALL_INC=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)/include	\
	DOC_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)		\
	HTML_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)/gprolog.html	\
	EXAMPLES_DIR=$(CURDIR)/debian/$(PACKAGE)-doc$(DOCDIR)/examples

ROOT = $(shell pwd)
SRCPATH = $(ROOT)/src
SRCXDIRS = TopComp EnginePl Pl2Wam Wam2Ma Ma2Asm Fd2C DevUtils
SRCXPATH := $(foreach dir,$(SRCXDIRS),$(SRCPATH)/$(dir):)
SRCXPATH := $(shell echo $(SRCXPATH) | tr -d ' ')
PATH = $(SRCXPATH):/usr/bin:/bin
PL_PATH = ${CURDIR}/src

CC = gcc

# == build binaries and documentation =========================================

build: build-indep build-arch

stamp-config: config
config:
	dh_testdir
# -----------------------------------------------------------------------------
	( PATH=${PATH};							     \
	  if [ ! -f $(SRCDIR)/Makefile -o				     \
	       ! -f $(SRCDIR)/configure -o				     \
	       $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	     \
	    cd $(SRCDIR);						     \
	    rm -f config.sub config.guess;				     \
	    cp /usr/share/misc/config.sub .;				     \
	    cp /usr/share/misc/config.guess .;				     \
	    autoconf &&							     \
	    CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
# -----------------------------------------------------------------------------
	touch stamp-config

build-indep: stamp-build-indep
stamp-build-indep: stamp-config
	dh_testdir
# -- commands to configure and build the package ------------------------------
	PATH=${PATH} make -C doc pdf html
# -----------------------------------------------------------------------------
	touch stamp-build-indep

build-arch: stamp-build-arch
stamp-build-arch: stamp-config
	dh_testdir
# -- commands to configure and build the package ------------------------------
	# fix up the time stamp on generated files in the Debian diff,
	# which can't be regenerated during build w/o a tool that depends
	# on them!
	if [ -f src/BipsPl/arith_inl.wam ]; then	\
		touch src/BipsPl/arith_inl.wam;	\
	fi
	PATH=${PATH} PL_PATH=${PL_PATH} make -C $(SRCDIR)
# -----------------------------------------------------------------------------
	touch stamp-build-arch


# == clean up everything ======================================================

clean:
clean: stamp-config
	dh_testdir
	dh_testroot
	rm -f stamp-build-arch stamp-build-indep stamp-config
# -- commands to clean up after the build process -----------------------------
	set -e; PATH=${PATH} make -C $(SRCDIR) distclean
	rm -rf $(SRCDIR)/autom4te.cache
	rm -f $(SRCDIR)/config.sub $(SRCDIR)/config.guess
# -- now, get rid of some more generated files --------------------------------
	set -e;								\
	  find -name Makefile -o -name configure |			\
	    while read FILE; do						\
	      if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
	find src -name VERSION | xargs -r rm -f
	rm -rf src/autom4te.cache
# -- make sure all *.wam files are more recent than *.pl ----------------------
	find src -name \*.wam | xargs touch
# -- clean up docs ------------------------------------------------------------
	make -C doc clean-full
	find doc -name \*.pdf | xargs -r rm -f
	find doc -name \*.hh[ck] | xargs -r rm -f
	find doc -name \*.hrf | xargs -r rm -f
	find doc -name \*.fp | xargs -r rm -f
	find doc -name manual\*.html | xargs -r rm -f
# -- clean up examples --------------------------------------------------------
	ls -d src/Examples* | while read DIR; do	\
	  if [ -f $$DIR/Makefile ]; then		\
	    make -C "$$DIR" clean;			\
	  fi;						\
	done
# -----------------------------------------------------------------------------
	dh_clean


# == arch-dependent installation ==============================================

install-arch:
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
# -- install the package into the staging area --------------------------------
	make -C $(SRCDIR) $(INSTALLDIRS) install-system
# -- create gprolog-$(variant) etc, links in /usr/bin -------------------------
	mkdir -p debian/$(PACKAGE)/usr/bin/
	for PROG in gplc gprolog hexgplc; do			\
	  ln -sf ../lib/gprolog-$(variant)/bin/$$PROG		\
		debian/$(PACKAGE)/usr/bin/$$PROG-$(variant);	\
	done
# -- Install manpages ---------------------------------------------------------
	mkdir -p debian/$(PACKAGE)/usr/share/man/man1/
	cat debian/manpage |						 \
	  sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
	  gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
	for CMD in gplc hexgplc pl2wam wam2ma ma2asm fd2c; do		\
	  ln -sf $(PACKAGE).1.gz					\
		 debian/$(PACKAGE)/usr/share/man/man1/$$CMD.1.gz;	\
	done
	for CMD in gplc gprolog hexgplc; do				     \
	  ln -sf $(PACKAGE).1.gz					     \
		 debian/$(PACKAGE)/usr/share/man/man1/$$CMD-$(variant).1.gz; \
	done
# -- Install auxiliary stuff --------------------------------------------------
	mkdir -p debian/$(PACKAGE)/usr/share/icons/
	install -c -m 444 debian/$(PACKAGE).xpm	\
		debian/$(PACKAGE)/usr/share/icons/
# -----------------------------------------------------------------------------
#	dh_movefiles


# == arch-independent installation ============================================

install-indep:
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
# -- commands to install the package into the staging area --------------------
	make -C $(SRCDIR) $(INSTALLDIRS) \
	  install-doc install-html install-examples
# -- remove stray PDFs --------------------------------------------------------
	find debian/$(PACKAGE)-doc -name compil-scheme.pdf\* | xargs -r rm -f
	find debian/$(PACKAGE)-doc -name debug-box.pdf\* | xargs -r rm -f
# -----------------------------------------------------------------------------
#	dh_movefiles


# == build architecture-independent files =====================================

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i # -pgprolog-doc
	dh_installexamples -i
#	dh_installmenu -i
	dh_installemacsen -i
#	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
